/* Initialisation d'un tableau d'entiers       */
/* avec les 50 premieres valeurs de factoriel  */

public class TableauFactoriels {

/* Programme principal                         */

  public static void main(String [] args) {
    final int N = 50;
    int [] tf = new int[N];
    int i;
    tf[0] = 1;
    for ( i = 1 ; i < tf.length ; i = i+1 ) {
      tf[i] = tf[i-1]*i; }
    for ( i = 0 ; i < tf.length ; i = i+1 ) {
      Ecran.formater("%2d! = %d\n",i,tf[i]); }
  }
}